curl --request POST \
--url https://api.alerty.ai/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integration": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
},
"integrationOverride": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
],
"pollDurationInterval": "P3Y6M4DT12H30M5S",
"description": "<string>",
"snoozedUntil": "2023-11-07T05:31:56Z",
"query": "<string>"
}
'import requests
url = "https://api.alerty.ai/monitor"
payload = {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integration": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
},
"integrationOverride": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
],
"pollDurationInterval": "P3Y6M4DT12H30M5S",
"description": "<string>",
"snoozedUntil": "2023-11-07T05:31:56Z",
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
name: '<string>',
resourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recipients: [
{
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
integration: {
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
configuration: {
teamId: '<string>',
accessToken: '<string>',
incomingWebhookURL: '<string>',
channelID: '<string>'
}
},
integrationOverride: {
teamId: '<string>',
accessToken: '<string>',
incomingWebhookURL: '<string>',
channelID: '<string>'
}
}
],
pollDurationInterval: 'P3Y6M4DT12H30M5S',
description: '<string>',
snoozedUntil: '2023-11-07T05:31:56Z',
query: '<string>'
})
};
fetch('https://api.alerty.ai/monitor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipients": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integration": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
},
"integrationOverride": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
],
"pollDurationInterval": "P3Y6M4DT12H30M5S",
"description": "<string>",
"snoozedUntil": "2023-11-07T05:31:56Z",
"query": "<string>",
"resource": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"configuration": {
"url": "<string>"
}
}
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Create a Monitor
this operation creates a new resource monitor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
resource monitor
Unique identifier for the entity
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the monitor name
the monitor type
UP_TIME, LATENCY, LOAD_TIME, WEBSITE_TYPO, STRIPE, DOMAIN_EXPIRATION, CERT_EXPIRATION, CDN_CONFIGURATION, CLOUDFLARE_REQUESTS, CLOUDFRONT_REQUESTS, STATUS_PAGE, DATABASE_STORAGE_LIMIT, DATABASE_CPU_USAGE, DATABASE_MEMORY_USAGE state of the monitor during its lifecycle
ACTIVE, PAUSED, SNOOZED, ERROR status of the monitor
NO_DATA, OK, ALERT, WARN monitor priority
NOT_DEFINED, CRITICAL, HIGH, MEDIUM, LOW, INFO the monitor recipients of the incidents/alerts notifications
Show child attributes
Show child attributes
the interval in which the monitor will be checked
"P3Y6M4DT12H30M5S"
the monitor description
until when the monitor will be in snoozed mode
the monitor query
Show child attributes
Show child attributes
Response
monitor created
resource monitor
Unique identifier for the entity
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the monitor name
the monitor type
UP_TIME, LATENCY, LOAD_TIME, WEBSITE_TYPO, STRIPE, DOMAIN_EXPIRATION, CERT_EXPIRATION, CDN_CONFIGURATION, CLOUDFLARE_REQUESTS, CLOUDFRONT_REQUESTS, STATUS_PAGE, DATABASE_STORAGE_LIMIT, DATABASE_CPU_USAGE, DATABASE_MEMORY_USAGE state of the monitor during its lifecycle
ACTIVE, PAUSED, SNOOZED, ERROR status of the monitor
NO_DATA, OK, ALERT, WARN monitor priority
NOT_DEFINED, CRITICAL, HIGH, MEDIUM, LOW, INFO the monitor recipients of the incidents/alerts notifications
Show child attributes
Show child attributes
the interval in which the monitor will be checked
"P3Y6M4DT12H30M5S"
the monitor description
until when the monitor will be in snoozed mode
the monitor query
Show child attributes
Show child attributes

